Subject: bug#1111: describe-key's key notation display inconsistency

From: Noam Postavsky <[email-masked]>
Date: Thu, 08 Aug 2019 14:06:24 -0400

Drew Adams <[email-masked]> writes:

>> > I've said before (not in this thread, most likely)
>> > that I think that the Emacs manuals should use the
>> > exact same notation that Emacs itself uses
>> > interactively.
>> >
>> > That means the manuals should use <C-return>, not
>> > C-<return>.  But they don't.
>> 
>> Having Emacs print C-<return>, as suggested in the OP,
>> would also solve the consistency, yes?
>
> Yes, of course.  At the cost of a lot of code
> changes, not to mention user mind changes. ;-)

I don't think the code change would be that large (but we've not seen a
patch yet).

>> > FWIW, I've also argued that we do not need
>> > angle-bracket notation at all.  We can drop
>> > it and still be completely unambiguous and
>> > consistent.
>> 
>> That assumes all function key names are longer
>> than one letter, right?
>
> Yes
[...]
> Presumably the key described as `<M-D>' (or
> `M-<D>', per Xah), where `<D>' is a function
> key, would correspond to event `M-d', which
> might already be problematic (no?).

I don't think so, (kbd "M-d") => [?\M-d], but (kbd "<M-D>") => [M-D].

> but have you ever come across a single-char
> function-key name?

No (and I didn't mean to say that assuming all function key names are
multi-character is unreasonable).